for i in ipairs (colors) do
local name = colors[i][1]

minetest.register_craft({
    type = "shapeless",
    output = mymodname..name .. "_data 4",
        recipe = {
               mymodname .. name .. "_data_square"
        }
})

minetest.register_craft({
    type = "shapeless",
    output = mymodname..name .. "_data 5",
        recipe = {
               mymodname .. name .. "_data_3"
        }
})

minetest.register_craft({
    type = "shapeless",
    output = mymodname .. name .. "_data_square",
        recipe = {
               mymodname .. name .. "_data",mymodname .. name .. "_data",
                mymodname .. name .. "_data",mymodname .. name .. "_data",
        }
})
minetest.register_craft({
    --type = "shapeless",
    output = mymodname.. name .. "_data_3",
    recipe = {
        {mymodname .. name .. "_data",	"" , mymodname .. name .. "_data"},
        {"", mymodname .. name .. "_data", ""},
	{mymodname .. name .. "_data", "" , mymodname .. name .. "_data"}
    },
})

end